OpenNMS API 1.2.9

## org.opennms.web.authenticate
Class OpenNMSPrincipal

    java.lang.Object
      org.opennms.web.authenticate.OpenNMSPrincipal

All Implemented Interfaces:
  java.security.Principal

class OpenNMSPrincipal
extends java.lang.Object
implements java.security.Principal

Package protected class representing an individual user's Principal object. It is built from a `User`data structure.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`protected User` `userInfo` The internal representation of all user information.

Constructor Summary
`OpenNMSPrincipal(User userInfo)` Construct a new OpenNMSPrincipal instance.

Method Summary
`boolean` `comparePasswords(java.lang.String password)` Return the password of this Principal.
`java.lang.String` `getName()` Return the name of this Principal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Field Detail

### userInfo

    protected User userInfo

  The internal representation of all user information.

Constructor Detail

### OpenNMSPrincipal

    public OpenNMSPrincipal(User userInfo)

  Construct a new OpenNMSPrincipal instance.

Parameters:
  `userInfo` - The user info for this Principal

Method Detail

### getName

    public java.lang.String getName()

  Return the name of this Principal.

  Specified by:
    `getName` in interface `java.security.Principal`

### comparePasswords

    public boolean comparePasswords(java.lang.String password)

  Return the password of this Principal.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.